set -e

test -x /usr/bin/module-assistant || apt-get install module-assistant

cd /usr/src

kernels=
slenrek=
for k in $(ls -dvr1 /lib/modules/*/build 2>/dev/null | cut -d/ -f4) ; do
	case $k in
		*)
			kernels="$kernels $k"
			slenrek="$k $slenrek"
			;;
	esac
done
modules=nvidia-legacy-304xx-kernel

module-assistant clean $modules
for k in $kernels ; do
	module-assistant build --text-mode --force --kvers-list "$k" $modules
done

ls -l *.deb
for m in $modules ; do
	for k in $slenrek ; do
		echo "* ${m} ${k}:"
		ls -l ${m}-${k}_*.deb
	done
done
